<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): TIGLCommunicationSysMessage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classTIGLCommunicationSysMessage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TIGLCommunicationSysMessage Class Reference<div class="ingroups"><a class="el" href="group__comm__module.html">Communication</a> &#124; <a class="el" href="group__messages.html">Messages</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Core system message class definition.  
 <a href="classTIGLCommunicationSysMessage.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglCommunicationSysMessage_8hpp_source.html">tiglCommunicationSysMessage.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad04c3abc8673b101c87b032c0dd3815f"><td class="memTemplParams" colspan="2">template&lt;typename MESSAGE_TYPE &gt; </td></tr>
<tr class="memitem:ad04c3abc8673b101c87b032c0dd3815f"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#ad04c3abc8673b101c87b032c0dd3815f">TIGLCommunicationSysMessage</a> (SYS_MESSAGE_CODE code, uint_fast32_t dev, MESSAGE_TYPE *message)</td></tr>
<tr class="memdesc:ad04c3abc8673b101c87b032c0dd3815f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor set the fields of the system message.  <a href="#ad04c3abc8673b101c87b032c0dd3815f">More...</a><br /></td></tr>
<tr class="separator:ad04c3abc8673b101c87b032c0dd3815f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34a484fc4418bb5415ff2f9f4b8f3a7a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#a34a484fc4418bb5415ff2f9f4b8f3a7a">TIGLCommunicationSysMessage</a> (SYS_MESSAGE_CODE code, uint_fast32_t dev)</td></tr>
<tr class="memdesc:a34a484fc4418bb5415ff2f9f4b8f3a7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded constructor for system messages that do not have a body.  <a href="#a34a484fc4418bb5415ff2f9f4b8f3a7a">More...</a><br /></td></tr>
<tr class="separator:a34a484fc4418bb5415ff2f9f4b8f3a7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20946f6bc1a04fed8757ef9552a825b7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#a20946f6bc1a04fed8757ef9552a825b7">TIGLCommunicationSysMessage</a> ()</td></tr>
<tr class="memdesc:a20946f6bc1a04fed8757ef9552a825b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded constructor for an system message.  <a href="#a20946f6bc1a04fed8757ef9552a825b7">More...</a><br /></td></tr>
<tr class="separator:a20946f6bc1a04fed8757ef9552a825b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6bc9a80d87ef57cacd5d80be26d7068"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6bc9a80d87ef57cacd5d80be26d7068"></a>
SYS_MESSAGE_CODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#ad6bc9a80d87ef57cacd5d80be26d7068">getMessageCode</a> ()</td></tr>
<tr class="memdesc:ad6bc9a80d87ef57cacd5d80be26d7068"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the system message code. <br /></td></tr>
<tr class="separator:ad6bc9a80d87ef57cacd5d80be26d7068"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7dbe83d2e2e801f4662181f5e55b009"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7dbe83d2e2e801f4662181f5e55b009"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#ae7dbe83d2e2e801f4662181f5e55b009">hasBody</a> ()</td></tr>
<tr class="memdesc:ae7dbe83d2e2e801f4662181f5e55b009"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if the message has a body. <br /></td></tr>
<tr class="separator:ae7dbe83d2e2e801f4662181f5e55b009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc9eb4300aa565030b20b9a142ed7f9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc9eb4300aa565030b20b9a142ed7f9a"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#afc9eb4300aa565030b20b9a142ed7f9a">getSizeInBytes</a> ()</td></tr>
<tr class="memdesc:afc9eb4300aa565030b20b9a142ed7f9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the variable-size message body. <br /></td></tr>
<tr class="separator:afc9eb4300aa565030b20b9a142ed7f9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1c1b70e022fde4ab672283573c35eb0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1c1b70e022fde4ab672283573c35eb0"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#af1c1b70e022fde4ab672283573c35eb0">getDst</a> ()</td></tr>
<tr class="memdesc:af1c1b70e022fde4ab672283573c35eb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the destination device. <br /></td></tr>
<tr class="separator:af1c1b70e022fde4ab672283573c35eb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69dfcfadc0fb670b3a4cd165cc5a6e75"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#a69dfcfadc0fb670b3a4cd165cc5a6e75">pack</a> (uint8_t *buf)</td></tr>
<tr class="memdesc:a69dfcfadc0fb670b3a4cd165cc5a6e75"><td class="mdescLeft">&#160;</td><td class="mdescRight">Packs the system message into bytes.  <a href="#a69dfcfadc0fb670b3a4cd165cc5a6e75">More...</a><br /></td></tr>
<tr class="separator:a69dfcfadc0fb670b3a4cd165cc5a6e75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5624a06125b6260597691a1664e29805"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#a5624a06125b6260597691a1664e29805">unpack</a> (uint8_t *buf, uint_fast32_t numBytes)</td></tr>
<tr class="memdesc:a5624a06125b6260597691a1664e29805"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unpacks a system message to the object fields.  <a href="#a5624a06125b6260597691a1664e29805">More...</a><br /></td></tr>
<tr class="separator:a5624a06125b6260597691a1664e29805"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4febc9dd66edd3bcc1d2f15914431732"><td class="memTemplParams" colspan="2">template&lt;typename MESSAGE_TYPE &gt; </td></tr>
<tr class="memitem:a4febc9dd66edd3bcc1d2f15914431732"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#a4febc9dd66edd3bcc1d2f15914431732">readMessageBody</a> (MESSAGE_TYPE *message)</td></tr>
<tr class="memdesc:a4febc9dd66edd3bcc1d2f15914431732"><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a packed format to a customized message format.  <a href="#a4febc9dd66edd3bcc1d2f15914431732">More...</a><br /></td></tr>
<tr class="separator:a4febc9dd66edd3bcc1d2f15914431732"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:afcd4039732a2d4d5a63d0238a122e674"><td class="memItemLeft" align="right" valign="top">SYS_MESSAGE_CODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#afcd4039732a2d4d5a63d0238a122e674">messageCode</a></td></tr>
<tr class="separator:afcd4039732a2d4d5a63d0238a122e674"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4375c638dcde775cd5bc5ab143ecb447"><td class="memItemLeft" align="right" valign="top">vector&lt; uint8_t &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#a4375c638dcde775cd5bc5ab143ecb447">messageBody</a></td></tr>
<tr class="separator:a4375c638dcde775cd5bc5ab143ecb447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa716afbd62ad897695da8dc0a8944b10"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLCommunicationSysMessage.html#aa716afbd62ad897695da8dc0a8944b10">otherDevice</a></td></tr>
<tr class="separator:aa716afbd62ad897695da8dc0a8944b10"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Core system message class definition. </p>
<p>It handles all the system message fields and processing </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad04c3abc8673b101c87b032c0dd3815f"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename MESSAGE_TYPE &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">TIGLCommunicationSysMessage::TIGLCommunicationSysMessage </td>
          <td>(</td>
          <td class="paramtype">SYS_MESSAGE_CODE&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>dev</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MESSAGE_TYPE *&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor set the fields of the system message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">code</td><td>system message </td></tr>
    <tr><td class="paramname">dev</td><td>destination device </td></tr>
    <tr><td class="paramname">message</td><td>pointer to message content </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a34a484fc4418bb5415ff2f9f4b8f3a7a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">TIGLCommunicationSysMessage::TIGLCommunicationSysMessage </td>
          <td>(</td>
          <td class="paramtype">SYS_MESSAGE_CODE&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>dev</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Overloaded constructor for system messages that do not have a body. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">code</td><td>system message </td></tr>
    <tr><td class="paramname">dev</td><td>destination device </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a20946f6bc1a04fed8757ef9552a825b7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">TIGLCommunicationSysMessage::TIGLCommunicationSysMessage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Overloaded constructor for an system message. </p>
<p>empty message to be filled by the unpack procedure </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a69dfcfadc0fb670b3a4cd165cc5a6e75"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t TIGLCommunicationSysMessage::pack </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>buf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Packs the system message into bytes. </p>
<p>The packed message contains the message code and the message body </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>output buffer for packed message </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the message size in bytes </dd></dl>

</div>
</div>
<a class="anchor" id="a4febc9dd66edd3bcc1d2f15914431732"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename MESSAGE_TYPE &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool TIGLCommunicationSysMessage::readMessageBody </td>
          <td>(</td>
          <td class="paramtype">MESSAGE_TYPE *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Converts a packed format to a customized message format. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">message</td><td>pointer to the output message buffer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if success, otherwise if failed </dd></dl>

</div>
</div>
<a class="anchor" id="a5624a06125b6260597691a1664e29805"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TIGLCommunicationSysMessage::unpack </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>numBytes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Unpacks a system message to the object fields. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>input buffer for the packed message </td></tr>
    <tr><td class="paramname">numBytes</td><td>the size in bytes of the packed message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a4375c638dcde775cd5bc5ab143ecb447"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt;uint8_t&gt; TIGLCommunicationSysMessage::messageBody</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">message</td><td>body in bytes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afcd4039732a2d4d5a63d0238a122e674"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SYS_MESSAGE_CODE TIGLCommunicationSysMessage::messageCode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">code</td><td>of the system message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa716afbd62ad897695da8dc0a8944b10"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t TIGLCommunicationSysMessage::otherDevice</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">the</td><td>destination device </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="tiglCommunicationSysMessage_8hpp_source.html">tiglCommunicationSysMessage.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:56 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
